> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/pregled-na-zayavkite-v-geopard-api/81.-zayavka-poluchavane-na-geojson-na-karta-po-uravnenie.md).

# 81. Заявка: Получаване на GeoJSON на "карта по уравнение"

Вземи GeoJSON на "EquationMaps" филтрирани по `equationMapUuids`.

Атрибутът `equationMapGeojson` съдържащ GeoJSON с `Многоъгълници (Polygons)` или `Мултиполигон(и)` включително геопространствените атрибути като `ид`, `value` и `площ` в дефинираните единици.

Ключови подробности:

* Параметър `asMultiGeometry: true` означава, че `Многоъгълници (Polygons)` (клетките на "Equation Map") ще бъдат обединени в `Мулти-многоъгълници (MultiPolygons)` на базата на `value` атрибута на всяка клетка от "Equation Map".
* Изходната площ може да бъде конфигурирана чрез `unit` параметър. Налични опции: `АКРА`,  `ХЕКТАРИ`, `КВАДРАТНИ_МЕТРИ`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Ако геометриите не се изискват (само атрибути са необходими), тогава има `attributesJson` вместо `equationMapGeojson` за използване.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/pregled-na-zayavkite-v-geopard-api/81.-zayavka-poluchavane-na-geojson-na-karta-po-uravnenie.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
